Find the answer to your Linux question:
Results 1 to 4 of 4
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1

    Error installing wine: Could not early remove sysvinit-utils:amd64


    Hello,

    I have a fresh install of Debian testing. I have installed a couple of other things but nothing major.

    Now I want to install Wine. I wrote:

    Code:
    $ dpkg --add-architecture i386 && apt update
    No problems. Second step:
    Code:
    $ apt install wine
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    # ...
    # the usual print out. But then:
    # ...
    After this operation, 796 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    E: This installation run will require temporarily removing the essential 
    package sysvinit-utils:amd64 due to a Conflicts/Pre-Depends loop. 
    This is often bad, but if you really want to do it, activate the APT::Force-
    LoopBreak option.
    E: Internal Error, Could not early remove sysvinit-utils:amd64 (2)
    Same things happens with apt replaced by apt-get. What should I do?

    Thanks.

    Kind regards,
    Marius

  2. #2
    Linux Guru Rubberman's Avatar
    Join Date
    Apr 2009
    Location
    I can be found either 40 miles west of Chicago, in Chicago, or in a galaxy far, far away.
    Posts
    14,038
    Get the appropriate apt file from WineHQ - Run Windows applications on Linux, BSD, Solaris and Mac OS X If that has the same problem (perhaps not up-to-date with your version of Debian), then try installing from source.
    Sometimes, real fast is almost as good as real time.
    Just remember, Semper Gumbi - always be flexible!

  3. #3
    Linux Guru
    Join Date
    Dec 2013
    Posts
    2,747
    Code:
    E: This installation run will require temporarily removing the essential 
    package sysvinit-utils:amd64 due to a Conflicts/Pre-Depends loop.
    this is just a wild guess, but it sounds like apt wants to use the 32bit version of sysvinit-utils?
    so maybe you have to tell it to use the i386 arch only for wine, or sth like that, and leave the system alone otherwise.

  4. $spacer_open
    $spacer_close
  5. #4
    Just Joined!
    Join Date
    Apr 2016
    Posts
    31
    -->
    With Debian testing you can use unstable and experimental packages. There are many bug fixes in newer wine, so it is better to use latest one.
    https://packages.debian.org/sid/wine-development
    I am using wine-staging 1.9.5, csmt gives 50% better fps. Too bad that newer wine-staging has dropped csmt support. If a game has problems with wine-staging I use the wine-development.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •